View Issue Details

IDProjectCategoryView StatusLast Update
13667Bug reports[All Projects] Otherpublic2018-06-18 17:55
ReporterblockaAssigned Todominikvitt 
PrioritynoneSeveritymajor 
Status feedbackResolutionreopened 
Product Version3.7.x 
Target VersionFixed in Version3.10.x 
Summary13667: Beginner Tutorial only available to SuperAdmin
DescriptionWhen I login to LS 3.7.2+180508 as SuperAdmin, under the Tutorials menu I see the Beginner Tour.

I then create a sub-account for one of our users who doesn't have super admin permissions and login as that user -- and the Beginner Tour isn't available.

Pretty sure the Beginner Tutorial is more helpful to a non-admin user than the Super Admin!
TagsNo tags attached.
Complete LimeSurvey version number (& build)3.7.2+180508
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionmySQL 5.6.37
Operating System (Server)CentOs
Webserver software & versionApache
PHP Version7.0.x

Relationships

related to 13552 assignedmarkusfluer Beginner tour not available without superadmin permission 

Activities

guest

guest

2018-06-11 18:24

viewer   ~48055

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27374
dominikvitt

dominikvitt

2018-06-11 18:29

developer   ~48056

Tutorials menu is fixed.
It shows when user have Surveys-->create permission, so it doesn't require admin permissions to open tutorials.
John_K

John_K

2018-06-11 20:10

reporter   ~48057

Hi LS- I had the same issue in LimeSurveyVersion 3.9.0+180604, for a user(non-admin). Added the fix "http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27374"
However the tutorial does not start. It goes thru 2 screens 'Start the tour' & 'Welcome to LimeSurvey tour'. Clicking next does nothing as it stays at the 'This is the LimeSurvey admin interface. Start to build your survey from here' landing page screen.
Same affect when choosing 'Tutorials>>Beginner tour' drop down option. C Snips

Im using Chrome, IE11- Windows2012,Apache,MS SQL Server2014.

Fix27374(Bug13667)BeginnerTourNotRunning.PNG (108,511 bytes)
John_K

John_K

2018-06-11 20:18

reporter   ~48058

Hi LS- Clarify my earlier Note.
If I log in as a User, both the 'Start the tour' & 'Beginner Tutorial' options Does NOT work.
-However both options works ONLY when I log in as an Admin.
JK
John_K

John_K

2018-06-12 20:11

reporter   ~48070

Hi LS Bug test team.
One note to add:
The Non-Admin User 'JK', is granted Create survey permission, But still cannot start the Beginner Tour.
 I have tested this TestCase out in Chrome, Firefox, & IE11- all with the same result.
JK
c_schmitz

c_schmitz

2018-06-15 15:43

administrator   ~48167

Version 3.12.1 Build 180616 released
blocka

blocka

2018-06-18 17:55

reporter   ~48211

Just tested this, and it tutorial now works for non super-admin users...

But in testing this fix, I discovered new issue -- the tutorial stops after you enter the Title for your new survey, if you have HTML editor mode: set to Popup Editor or No HTML Editor

If it is set to Inline editor, then the tutorial works fine.

Related Changesets

LimeSurvey: master 85f58b4d

2018-06-11 18:23:57

Dominik Vitt

Details Diff
Fixed issue 13667: Beginner Tutorial only available to SuperAdmin
mod - application/views/admin/super/_tutorial_menu.php Diff File

Issue History

Date Modified Username Field Change
2018-05-11 17:05 blocka New Issue
2018-05-16 11:45 LouisGac Assigned To => markusfluer
2018-05-16 11:45 LouisGac Status new => assigned
2018-06-05 16:22 Mazi Relationship added related to 13552
2018-06-11 16:24 LouisGac Assigned To markusfluer => dominikvitt
2018-06-11 18:24 Changeset attached => LimeSurvey master 85f58b4d
2018-06-11 18:24 guest Note Added: 48055
2018-06-11 18:24 guest Resolution open => fixed
2018-06-11 18:29 dominikvitt Status assigned => resolved
2018-06-11 18:29 dominikvitt Fixed in Version => 3.10.x
2018-06-11 18:29 dominikvitt Note Added: 48056
2018-06-11 20:10 John_K File Added: Fix27374(Bug13667)BeginnerTourNotRunning.PNG
2018-06-11 20:10 John_K Note Added: 48057
2018-06-11 20:18 John_K Note Added: 48058
2018-06-12 20:11 John_K Note Added: 48070
2018-06-15 15:43 c_schmitz Note Added: 48167
2018-06-15 15:43 c_schmitz Status resolved => closed
2018-06-18 17:55 blocka Status closed => feedback
2018-06-18 17:55 blocka Resolution fixed => reopened
2018-06-18 17:55 blocka Note Added: 48211